org.bouncycastle.crypto.params

## Class DHValidationParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.DHValidationParameters

    public class DHValidationParameters
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DHValidationParameters(byte[] seed, int counter)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`int` `getCounter()`
`byte[]` `getSeed()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DHValidationParameters

    public DHValidationParameters(byte[] seed,
                          int counter)

### Method Detail

#### getCounter

    public int getCounter()

#### getSeed

    public byte[] getSeed()

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`